<ng-template #contentFac let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Facturación</h4>
        <button type="button" class="btn-close" aria-label="Close"
            (click)="modal.dismiss()"></button>
    </div>

    <div class="modal-body">
        <form>
            <div class="mb-3">
                <p>Para Generar la Factura ingrese los siguientes, datos caso
                    contrario presionar en "Generar Comprobante": </p>
                <div class="row">
                    <div class="col-sm-12">
                        <div class="input-group mb-3">
                            <label class="input-group-text colorBuscar"
                                for="categoria">Identificación</label>
                            <select class="form-select" id="categoria"
                                name="categoria"
                                (change)="cambiarIdentificacion($event)"
                                [(ngModel)]="catBuscar">
                                <option value="0">Cédula</option>
                                <option value="1">Pasaporte</option>


                            </select>

                        </div>
                    </div>
                </div>
                <div class="row align-items-start">

                    <div class="col-sm-6 ">

                        <input type="text" id="cedula" name="cedula"
                            onKeypress="if (event.keyCode <45 || event.keyCode>
                        57) event.returnValue = false;" name="cedula"
                        maxlength="10" [(ngModel)]="valCedula"
                        placeholder="Cédula" class="form-control" autofocus
                        *ngIf="controlCedula"/>
                        <label class="form-label error" for="cedula"
                            *ngIf="errorCedula && controlCedula">{{strCedula}}</label>
                        <input type="text" id="pasaporte" name="pasaporte"
                            name="pasaporte"
                            maxlength="10" [(ngModel)]="valCedula"
                            placeholder="Pasaporte" class="form-control"
                            autofocus
                            *ngIf="controlPasaporte"/>
                        <label class="form-label error" for="pasaporte"
                            *ngIf="errorPasaporte && controlPasaporte">{{strPasaporte}}</label>
                    </div>
                    <div class="col-sm-6 ">
                        <input type="text" id="telefono" name="telefono"
                            onKeypress="if (event.keyCode <45 || event.keyCode>
                        57) event.returnValue = false;" name="telefono"
                        maxlength="10" [(ngModel)]="valTelefono"
                        placeholder="Teléfono" class="form-control" autofocus/>
                        <label class="form-label error" for="telefono"
                            *ngIf="errorTelefono">{{strTelefono}}</label>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-primary"
            (click)="modal.close(1)">Generar Factura</button>
        <button type="button" class="btn btn-outline-success"
            (click)="modal.close(2)">Generar Comprobante</button>
    </div>
</ng-template>

<br>
<ng-template #content let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Seguridad</h4>
        <button type="button" class="btn-close" aria-label="Close"
            (click)="modal.dismiss()"></button>
    </div>
    <div class="modal-body">
        <form>
            <div class="mb-3">
                <p>¿Está Seguro de Eliminar el Producto {{nombreEliminar}}?</p>
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-outline-danger"
            (click)="modal.close()">Eliminar</button>
    </div>
</ng-template>

<div>
    <div class="col-sm-12 titulo text-center">
        Detalle de la Compra
    </div>
</div>

<br>
<div class="row">

    <div class="col-sm-12">
        <div class="card" style="border-radius: 0%; margin-right: 10px;">
            <div id="">
                <div class="card-header titulo text-white d-flex
                justify-content-between align-items-center">
                    Compras
                </div>

                <div class="card-body">
                    <div *ngIf="!compras">
                        <h5 style="color: #735C15;">No tiene productos en el Carrito</h5>
                    </div>
                    <div *ngIf="compras">
                        <div>
                            <h5 style="color: #735C15;">Productos Seleccionados</h5>

                            <table class="table table-striped">
                                <thead style="background-color: #735C15;" >
                                    <tr>
                                        <td style="font-size: 13px; color: white;">Nombre</td>
                                        <td style="font-size: 13px; color: white;">Precio</td>
                                        <td style="font-size: 13px; color: white;width: 8em;">Cantidad</td>
                                        <td style="font-size: 13px; color: white;">Descuento %</td>
                                        <td style="font-size: 13px; color: white;">SubTotal</td>
                                        <td style="font-size: 13px; color: white;">Opciones</td>

                                    </tr>
                                </thead>
                                <tbody>
                                    <ng-container *ngFor="let datos of ventasD; let i = index">
                                        <tr [ngClass]="{'table-row-color': i % 2 == 0, 'table-row-alternate': i % 2 != 0}" style="vertical-align: top;">
                                        <td>{{ datos.nombreProducto }}</td>
                                        <td>{{ datos.precio }}</td>
                                        
                                        <td><input type="number" id="nombreB"
                                            name="nombreB"
                                            [(ngModel)]="datos.cantidad"
                                            class="form-control"
                                            min="1"
                                            max={{datos.maximo}}
                                            (change)="actualizar(datos.id,datos.cantidad,datos.maximo)"
                                            /> </td>
                                            <td>{{ datos.descuento }}</td>
                                            <td>{{ calcularValor(datos) | number : '.2-2' }}</td>
                                           
                                            <td>

                                            <button class="btn btn-danger">
                                                <i class="fa fa-trash"
                                                    aria-hidden="true"
                                                    (click)="open(content,datos.id,datos.nombreProducto)"></i>
                                            </button>

                                        </td>
                                    </tr>
                                </ng-container>
                                </tbody>
                            </table>
                        </div>
                        <div class="row">
                            <div *ngFor="let dato of listaIVA" class="col-md-12">
                                <div class="row">
                                    <div class="col-md-9 texto-derecha">{{ dato.proceso }} {{ dato.iva }} :</div>
                                    <div class="col-md-3">$ {{ dato.valor }}</div>
                                </div>
                                
                              </div>
                            

                        </div>
                        
                        <button class="btn boton"
                            routerLink="/listacategorias"
                            style="margin-left: 1em;margin-right: 1em;">
                            Listar Productos
                        </button >
                        <button class="btn boton" *ngIf='vaTo>0'
                            (click)="openF(contentFac)"
                            style="margin-left: 1em;margin-right: 1em;">
                            Comprar
                        </button>
                        
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<div class="col-sm-12" *ngIf="control">
    <div id="tabla1">
        <div class="card text-center ">
            <div class="row text-center" style="margin-top: 25px; ">
                <div class="col-sm-2">

                    <img src="https://mikuy.com.ec/assets/Logos/Logomikuy.png" alt=""
                        style="width: 100%;">
                </div>
                <div class="col-sm-8">
                    <h3 style="margin-top: 40px; ">FACTURA</h3>
                </div>
            </div>

            <hr>
            <div class="row my-3">
                <div class="col-12">
                    <h1>MIKUY</h1>
                    <p>Av. Principal Y Secundaria</p>
                    <p>Telf.: 0999999999 - 29999999</p>
                    <p>mikuy.info@gmail.com</p>
                </div>

            </div>

            <hr>

            <div class="row fact-info mt-3">
                <div class="col-3">
                    <h5>Cliente</h5>
                    <h5>Identificación</h5>
                    <h5>Teléfono</h5>

                </div>
                <div class="col-3">
                    <p>{{valNombre}}</p>
                    <p>{{valCedula}}</p>
                    <p>{{valTelefono}}</p>
                </div>

                <div class="col-3">
                    <h5>Orden de Compra</h5>
                    <h5>Fecha de Compra</h5>

                </div>
                <div class="col-3">
                    <h5>{{valOrdenCompra}}</h5>
                    <p>{{valFecha | date:'dd-MM-yyyy'}}</p>

                </div>
            </div>
            <hr>
            <div class="row ">
                <!--<table class="table table-borderless factura">-->

                <table class="table table-striped">
                    <thead class="">
                        <tr>
                            <td>Nombre</td>
                            <td>Descripción</td>
                            <td>Precio</td>
                            <td>Cantidad</td>
                            <td>Descuento %</td>
                            <td>SubTotal</td>


                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let datos of ventasD">
                            <td>{{ datos.nombreProducto }}</td>
                            <td>{{ datos.descripcion }}</td>
                            <td>{{ datos.precio }}</td>
                            <td>{{ datos.cantidad }}</td>
                            <td>{{ datos.descuento }}</td>
                            <td>{{ calcularValor(datos) | number : '.2-2' }}</td>


                        </tr>
                    </tbody>
                </table>
                <div class="row">
                    <div *ngFor="let dato of listaIVA" class="col-md-12">
                        <div class="row">
                            <div class="col-md-9 texto-derecha">{{ dato.proceso }} {{ dato.iva }} :</div>
                            <div class="col-md-3">$ {{ dato.valor }}</div>
                        </div>
                        
                      </div>
                    

                </div>
                
            </div>
            <hr>

            <div class="cond row">
                <div class="col-12 mt-3">
                    <h4>Condiciones y formas de pago</h4>
                    <p>El pago se debe realizar en un plazo de 10 días y
                        enviar
                        el
                        comprabante a los numeros o correo institucional.
                        Caso
                        contrario se procederá a cancelar la compra.</p>
                    <p>También podrá realizar el pago de manera personal y
                        retirar
                        su pedido.</p>
                    <p>Datos para depósito o transferencia</p>
                    <p>
                        Banco Mejor
                        <br />
                        1156298754
                        <br />
                        Ahorros
                        <br />
                        Nombre: MIKUY
                    </p>
                </div>
            </div>


        </div>
    </div>
</div>

<div class="col-sm-12" *ngIf="control">
    <div id="tabla">
        <div class="card text-center ">
            <div class="row text-center" style="margin-top: 25px; ">
                <div class="col-sm-2">

                    <img src="https://mikuy.com.ec/assets/Logos/Logomikuy.png" alt=""
                        style="width: 100%;">
                </div>
                <div class="col-sm-8">
                    <h3 style="margin-top: 40px; ">COMPROBANTE DE COMPRA</h3>
                </div>
            </div>

            <hr>
            <div class="row my-3">
                <div class="col-12">
                    <h1>MIKUY</h1>
                    <p>Av. Principal Y Secundaria</p>
                    <p>Telf.: 0999999999 - 29999999</p>
                    <p>mikuy.info@gmail.com</p>
                </div>

            </div>

            <hr>

            <div class="row fact-info mt-3">
                <div class="col-6">
                    <h5>Cliente</h5>
                    <p>
                        {{valNombre}}
                    </p>
                </div>

                <div class="col-3">
                    <h5>Orden de Compra</h5>
                    <h5>Fecha de Compra</h5>

                </div>
                <div class="col-3">
                    <h5>{{valOrdenCompra}}</h5>
                    <p>{{valFecha | date:'dd-MM-yyyy'}}</p>

                </div>
            </div>
            <hr>
            <div class="row ">
                <!--<table class="table table-borderless factura">-->

                <table class="table table-striped">
                    <thead class="">
                        <tr>
                            <td>Nombre</td>
                            <td>Descripción</td>
                            <td>Precio</td>
                            <td>Cantidad</td>
                            <td>Descuento %</td>
                            <td>SubTotal</td>


                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let datos of ventasD">
                            <td>{{ datos.nombreProducto }}</td>
                            <td>{{ datos.descripcion }}</td>
                            <td>{{ datos.precio }}</td>
                            <td>{{ datos.cantidad }}</td>
                            <td>{{ datos.descuento }}</td>
                            <td>{{ calcularValor(datos) | number : '.2-2' }}</td>


                        </tr>
                    </tbody>
                </table>
                <div class="row">
                    <div *ngFor="let dato of listaIVA" class="col-md-12">
                        <div class="row">
                            <div class="col-md-9 texto-derecha">{{ dato.proceso }} {{ dato.iva }} :</div>
                            <div class="col-md-3">$ {{ dato.valor }}</div>
                        </div>
                        
                      </div>
                    

                </div>
                
            </div>
            <hr>

            <div class="cond row">
                <div class="col-12 mt-3">
                    <h4>Condiciones y formas de pago</h4>
                    <p>El pago se debe realizar en un plazo de 10 días y
                        enviar
                        el
                        comprabante a los numeros o correo institucional.
                        Caso
                        contrario se procederá a cancelar la compra.</p>
                    <p>También podrá realizar el pago de manera personal y
                        retirar
                        su pedido.</p>
                    <p>Datos para depósito o transferencia</p>
                    <p>
                        Banco Mejor
                        <br />
                        1156298754
                        <br />
                        Ahorros
                        <br />
                        Nombre: MIKUY
                    </p>
                </div>
            </div>


        </div>
    </div>
</div>